Page MenuHomePhabricator

Requesting access to view EventLogging data for Tim WMDE
Closed, ResolvedPublic

Description

Hello,

as an employee of WMDE, I would like to request access to view EventLogging data in order for us to analyze our banner / fundraising campaigns.

I have had a look at the Access Groups but I am unsure which group is the appropriate one, please advise on this.

Please let me know what pieces of information you need for this.


Ldap User: https://tools.wmflabs.org/ldap/user/tieu
Groups requested: researchers & analytics-users per T202072#4514570

SRE Clinic Duty Checklist for Access Requests

Most requirements are outlined on https://wikitech.wikimedia.org/wiki/Requesting_shell_access

This checklist should be used on all access requests to ensure that all steps are covered. This includes expansion to access. Please do not check off items on the list below unless you are in Ops and have confirmed the step.

  • - User has signed the L3 Acknowledgement of Wikimedia Server Access Responsibilities Document.
  • - User has a valid NDA on file with WMF legal. (This can be checked by Operations via the NDA tracking sheet & is included in all WMF Staff/Contractor hiring.)
  • - User has provided the following: wikitech username, preferred shell username, email address, and full reasoning for access (including what commands and/or tasks they expect to perform.
  • - User has provided a public SSH key. This ssh key pair should only be used for WMF cluster access, and not share with any other service (this includes not sharing with WMCS access, no shared keys.)
  • - access request (or expansion) has sign off of WMF sponsor/manager (sponser for volunteers, manager for wmf staff)
  • - non-sudo requests: 3 business day wait must pass with no objections being noted on the task - If no objections are noted, this can be merged on 2018-08-23.
  • - Patchset for access request add user: https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/454150/, add to groups: https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/454153/

Event Timeline

Tim_WMDE created this task.Aug 16 2018, 3:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 16 2018, 3:25 PM

Hi,

You need to (digitally) sign the NDA, please write to Rachel Stallman <rstallman@wikimedia.org> (@RStallman-legalteam ) and she'll prepare it for you. This also needs to be signed off by your manager at WMDE.

I am assuming your request is for the group called "analytics-wmde" but it's purely based on the existing members and description:

analytics-wmde-users:
  description: Group of WMDE analytics users
  gid: 784
  members: [addshore, goransm]
  privileges: ['ALL = (analytics-wmde) NOPASSWD: ALL']

Does that seem right, is what you want the same access that the 2 users above have now? cc: @Addshore

Followed up in T202072#4510001, lets have the group conversation there.

Addshore renamed this task from Requesting access to view EventLogging data to Requesting access to view EventLogging data for Tim WMDE.Aug 17 2018, 2:59 PM

We have an NDA on file for Tim Fabian Eulitz :)

Addshore updated the task description. (Show Details)Aug 17 2018, 4:20 PM
Dzahn triaged this task as Normal priority.Aug 17 2018, 6:45 PM

Hi @Tim_WMDE we'll need an SSH key from you. Could you create one and paste it here?

Also, could you read and sign L3 unless you already have in the past? Thanks

Addshore updated the task description. (Show Details)Aug 20 2018, 3:19 PM
Addshore moved this task from Untriaged to Awaiting User Input on the SRE-Access-Requests board.

Hey @Dzahn, here you go:

L3 is signed as well.

RobH updated the task description. (Show Details)Aug 20 2018, 8:59 PM

Change 454150 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] adding user Tim WMDE

https://gerrit.wikimedia.org/r/454150

Change 454153 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] adding tieu to groups

https://gerrit.wikimedia.org/r/454153

RobH updated the task description. (Show Details)Aug 20 2018, 9:11 PM
RobH moved this task from Awaiting User Input to 3 Business Day Wait on the SRE-Access-Requests board.

Change 454150 merged by RobH:
[operations/puppet@production] adding user Tim WMDE

https://gerrit.wikimedia.org/r/454150

Change 454153 merged by RobH:
[operations/puppet@production] adding tieu to groups

https://gerrit.wikimedia.org/r/454153

RobH closed this task as Resolved.Aug 23 2018, 3:44 PM
RobH claimed this task.
RobH updated the task description. (Show Details)
RobH added a subscriber: RobH.

No objections noted, and access has been merged live. Please note it can take up to 30 minutes for affected hosts to call in for the update.

Works fine, thanks!